vBulletin Mods

The Official vBulletin Modifications Site
https://www.vbulletin.org/forum/showthread.php?t=322893

scottphphq 06 Oct 2017 13:43

Quote:

Originally Posted by Paul M (Post 2586086)
JFYI, I have PHP 7.2 installed on a test server, and changes in that will upset vB3.
I'm leaving IB, so I wont [officially] work on any 3.8.12, and I'm certain no one else will either.

Do you know what changes in 7.2 break vb3? Not asking for you to write any code, just if you know what it revolves around.

I'm looking at https://github.com/php/php-src/blob/...0RC3/UPGRADING

davidg 25 Nov 2017 15:07

Quote:

Originally Posted by Paul M (Post 2586086)
The final release of 3.8.11 will be next week.
This allows vB3 to run on PHP 7.0 & PHP 7.1


JFYI, I have PHP 7.2 installed on a test server, and changes in that will upset vB3.
I'm leaving IB, so I wont [officially] work on any 3.8.12, and I'm certain no one else will either.

Paul if u leave vb3 wont be supported anymore?

Paul M 25 Nov 2017 15:59

I have already left (six months ago).

AFAIK, No-one is supporting VB3 or VB4 other than for critical security issues.
I'm making my own 3.8.12 & 4.2.6 versions for php 7.2, there are a few issues.

davidg 25 Nov 2017 16:17

Quote:

Originally Posted by Paul M (Post 2591251)
I have already left (six months ago).

AFAIK, No-one is supporting VB3 or VB4 other than for critical security issues.
I'm making my own 3.8.12 & 4.2.6 versions for php 7.2, there are a few issues.

Nice to know u are keeping the good work Paul.
Do you intend to share your own version or it will be private?

Paul M 27 Nov 2017 00:13

I havent decided yet, as I havent quite finished, there are a few bugs besides the actual 7.2 issues.

I don't think I'd be able to share it publicly, pretty sure IB would have kittens.
However, I suppose I could provide a private upgrade service to existing licence holders (for a small fee).

TBH, I havent really given it a lot of thought atm.

hunter1985 21 Jan 2018 23:25

@Paul M

Well Paul I'm really sad that you left IB as well see that vB3 and vB4 won't be updated for PHP 7.2 support, I really don't know what to say... I've used vB since 2001 when I used vB Lite with the purple and orange designs back then. It took me over 16 years to build my personal vB site not to forget I had to pay for new vB 5 license when my 72 or $85 1 yr lease license expired 12 years ago. I hope you could offer private updates for vB4.

artaman 15 Apr 2018 01:28

Is there still an option to get vb3 working with php7?..

MarkFL 15 Apr 2018 03:29

Quote:

Originally Posted by artaman (Post 2594170)
Is there still an option to get vb3 working with php7?..

vB 3.8.11 works with PHP 7.0.x and 7.1.x.

treki 21 Apr 2018 02:12

Quote:

Originally Posted by MarkFL (Post 2594171)
vB 3.8.11 works with PHP 7.0.x and 7.1.x.

Yes. 3.8.11 is PHP7 ready :D

Ipuck 23 Aug 2018 02:13

Did anyone test 3.8.11 with PHP 7.2?

In Omnibus 23 Aug 2018 02:56

Quote:

Originally Posted by Ipuck (Post 2596099)
Did anyone test 3.8.11 with PHP 7.2?

It doesn't work with PHP 7.2. 7.1 is the last version for which it was updated to work.

If there is a version which works with 7.2 it is not the official release.

lange 08 Jan 2019 21:24

I am willing to pay for an upgrade to 3.8.12 (PHP 7.2) from a licensed 3.8.11.

snakes1100 08 Jan 2019 22:07

PaulM dont come to this site anymore, you'll need to contact him another way.

lange 08 Jan 2019 22:53

Thanks!

I suppose that Paul can read as a guest.

It's not urgent, I will try to contact him on TAZ too in the next months. I have some mods /products to upgrade too.

I want a legal upgrade.
Budget: a good budget...

@+

Ipuck 15 Jan 2019 17:28

Anyone found a solution to make 3.8.11 work with 7.2? Just updated from 5.6 to 7.1, but I have only a few more monthw to move to 7.2


All times are GMT. The time now is 22:58.

Powered by vBulletin® Version 3.8.14
Copyright © 2021, MH Sub I, LLC dba vBulletin. All Rights Reserved. vBulletin® is a registered trademark of MH Sub I, LLC
Copyright ©2001 - , vbulletin.org. All rights reserved.